import { ODataEntitiesAnnotations, ODataEntityAnnotations, ODataPropertyAnnotations } from './annotations';
export declare type ODataEntity<T> = {
    entity: T | null;
    annots: ODataEntityAnnotations<T>;
};
export declare type ODataEntities<T> = {
    entities: T[] | null;
    annots: ODataEntitiesAnnotations<T>;
};
export declare type ODataProperty<T> = {
    property: T | null;
    annots: ODataPropertyAnnotations<T>;
};
